/* ==========================================
   GLOBAL STYLES & VARIABLES
   ========================================== */

:root {
    --primary-color: #6941e2;
    --green: rgb(115, 229, 140);
    --red: rgb(239, 90, 90);
    --blue: rgb(150, 190, 199);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-weight: normal;
    font-family: 'Bricolage Grotesque', sans-serif;
    color: white;
}

html,
body {
    scroll-behavior: smooth;
    font-size: 28px;
    overflow-x: hidden;
    position: relative;
    width: 100svw;
}

body {
    background-color: black;
}

section {
    width: 100svw;
    padding: 2rem;
    display: flex;

    overflow: hidden;
}

strong {
    text-decoration: underline;
}

/* ==========================================
   HERO
   ========================================== */
.hero {
    display: flex;
    height: 100svh;
    padding: 2rem;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    background: var(--primary-color);
}

.hero-content {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 1rem;
    align-self: stretch;
    position: relative;
}

.hero-content h1 {
    line-height: 100%;
}

#cover h3 {
    opacity: 0.5;
    max-width: 20rem;
}


.hero-title {
    display: flex;
    align-items: flex-start;
    gap: 0.125rem;
    align-self: stretch;
}

.hero-title-secondary {
    opacity: 0.25;
}

.cta-button {
    display: flex;
    padding: 0.2rem 1rem;
    justify-content: center;
    align-items: center;
    gap: 0.2rem;
    border-radius: 5rem;
    border: .1rem solid white;
    width: fit-content;
    text-decoration: none;
    transition: 0.2s;
    flex-direction: column;
}


.cta-button:hover {
    background-color: white;
    color: var(--primary-color);
}

.cta-button:hover small {
    color: var(--primary-color);
}

#first-cta-button {}

#fst-cta-container {
    position: absolute;
    right: 0;
    top: 0;
    gap: 0.2rem;
    display: flex;
    flex-direction: column;
}

#fst-cta-container small {
    width: 10rem;
    display: flex;
    justify-content: center;
    text-align: center;
    opacity: 0.5
}

.cta-button-container {}

.hero-tags {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    align-self: stretch;
    text-decoration: underline;
}


/* HERO INTERACTIONS*/

.word-mouse-interaction-container {
    position: relative;
}

#particle-container {
    position: relative;
}

#particle-canvas {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
}

/*INTERACTIVE TAG*/

#interactive-tag {
    display: flex;
}

#interactive-tag p {
    position: relative;
    transition: 0.3s ease-out;
    margin-top: 0;
}

#interactive-tag p:hover {
    margin-top: -.5em;
    text-decoration: none;
}

/*WAVING MOTION TAG*/

#motion-tag {
    display: flex;
}

#motion-tag:hover p {
    display: inline-block;
    animation: wave 0.5s ease-out infinite;
    text-decoration: underline;
}

#motion-tag p:nth-child(n) {
    animation-delay: calc(var(--i) * 0.1s);
}

#motion-tag p:nth-child(1) {
    --i: 0
}

#motion-tag p:nth-child(2) {
    --i: 1
}

#motion-tag p:nth-child(3) {
    --i: 2
}

#motion-tag p:nth-child(4) {
    --i: 3
}

#motion-tag p:nth-child(5) {
    --i: 4
}

#motion-tag p:nth-child(6) {
    --i: 5
}

#motion-tag p:nth-child(7) {
    --i: 6
}
#motion-tag p:nth-child(8) {
    --i: 7
}
#motion-tag p:nth-child(8) {
    --i: 7
}

@keyframes wave {

    0%,
    100% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-10px);
    }
}

/*GENERATIVE TAG*/

#generative-tag {
    display: flex;
}


/* ==========================================
   INTERACTTIVE TYPE DEMO
   ========================================== */

.interactive-type-demo {
    height: fit-content;
    background-color: black;
    overflow: hidden;
}

.interactive-type-demo iframe {
    display: block;
    height: auto;
}

/* ==========================================
   FEED-N-PLAY VIDEO
   ========================================== */

#feed-n-play-video {
    max-height: 80svh;
    max-width: 100%;
}

/* ==========================================
   SECTIONS
   ========================================== */

.section,
.subsection {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
}

.subsection {
    width: 100%;
    gap: 2rem;
    padding-bottom: 2rem;
    overflow: visible;
}

.section {
    padding: 2rem;
    text-align: center;
}


.subsection-horizontal {
    flex-direction: row;
    text-align: start;
}

.subsection:not(:first-child) {
    border-top: 0.1rem solid white;
    padding-top: 2rem;
}

.section h3 {
    text-transform: uppercase;
    font-size: 3rem;
}

/* select any span that is a sibling after an h2 */
.section-title~.section-desc {
    margin-top: -0.5rem;
}

/* ==========================================
   SEPARATOR    
   ========================================== */

.separator {
    width: 100%;
    height: 0.05rem;
    background-color: white;
    margin: 0;
}

/* ==========================================
   INTERACTIVE SECTION
   ========================================== */

#interactive-section {
    background-color: var(--green);
    ;
}

.custom-functions img {
    max-width: 50%;
}

/* ==========================================
   GENERATIVE SECTION
   ========================================== */

#generative-section {
    background-color: var(--red);
}

/* ==========================================
   MOTION SECTION
   ========================================== */

#motion-section {
    background-color: var(--blue);
}

/* ==========================================
   EDITORIAL VECTOR AND RASTER SECTION
   ========================================== */

#editorial-vector-raster-section {
    background-color: #FF8B38;
}

/* ==========================================
   DEPLOY SECTION
   ========================================== */

#deploy-section {
    background-color: var(--green);
}

/* ==========================================
   FINAL CTA SECTION
   ========================================== */

#final-cta-section {
    display: flex;
    padding: 2rem;
    flex-direction: column;
    gap: 2rem;
    background: #6941E2;
}

#final-cta-section h1 {
    text-transform: uppercase;
}

#final-cta-section .interactive-type-demo-iframe {
    mix-blend-mode: screen;
    opacity: 0.2;
}

/* ==========================================
   FOOTER
   ========================================== */

footer {
    background-color: #6941E2;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 2rem;
    padding-top: 0;
}

small {
    font-size: 0.5rem;
    max-width: 30em;
}

/* ==========================================
   MOBILE STYLES
   ========================================== */

@media (min-height: 900px) {
    #cover-desc {
        font-size: 2rem;
    }
}

@media (min-height: 1000px) {
    #cover-desc {
        font-size: 3rem;
    }
}

@media (max-aspect-ratio: 16/10) {
    /*#cover {
        background-color: brown;
    }*/

    #fst-cta-container {
        position: relative;
        gap: 1rem;
    }

    #fst-cta-container small {
        text-align: left;
        width: 11.5rem;
        display: none;
    }

    #fst-cta-container br {
        display: none;
    }

    .section h3 {
        font-size: 2rem;
    }

    .section p {
        font-size: 1.5rem;
    }

    .subsection-horizontal {
        flex-direction: column;
        text-align: center;
    }

    .custom-functions img {
        max-height: none;
        max-width: 75%;
    }
}

@media (max-aspect-ratio: 13/10) {
    /*#cover {
        background-color: red;
    }*/

    section {
        padding: 0;
    }

    br:not(.keepInMobile) {
        display: none;
    }
}

@media (max-aspect-ratio: 10/10) {
    /*#cover {
        background-color: orange;
    }*/

    /*.section-illustration video, /*not used anymore I believe*/
    /*.section-illustration img, /*not used anymore I believe*/
    .custom-functions img, /*the image where you insert code*/
    #feed-n-play-video {
        max-height: none;
        max-width: 100%;
    }

}

@media (max-aspect-ratio: 9/10) {
    /* #cover {
        background-color: orange;
    }*/

    html,
    body {
        font-size: 18px;
    }

    small {
        font-size: 0.75rem;
    }
}

<section id="editorial-vector-raster-section" class="section">
  <div class="subsection">
    <h3 class="section-title">All you need, <br>in one place</h3>

    <div class="sub-subsection">
      <p class="section-desc">Print, vector, image editing 😊</p>
      <div class="section-illustration">
        <img src="imgs/one-platform/Select Props.png">
      </div>
    </div>

  </div>
</section>